import '../../../Api_Helper/base_manager.dart';
import '../../../shared/api/api_endpoints.dart';
import '../../../shared/api/network_api_services.dart';

class PinAPIServices {
  PinAPIServices();
  Future<ResponseData> ConfirmPin(Map<String, dynamic> data) async {
    String url = ApiEndpoints.confirmpinapi;
    final response = await NetworkApiService().post(url, data);
    return response;
  }

  Future<ResponseData> Verifypin(Map<String, dynamic> data) async {
    String url = ApiEndpoints.verifypinapi;
    final response = await NetworkApiService().post(url, data);
    return response;
  }

  Future<ResponseData> updatePin(Map<String, dynamic> data) async {
    String url = ApiEndpoints.updatePinApi;
    final response = await NetworkApiService().post(url, data);
    return response;
  }
}
